globus_module_descriptor_s(3)

NAME
globus_module_descriptor_s - Module Descriptor.

SYNOPSIS

#include <globus_module.h>

  Data Fields

char * module_name
globus_module_activation_func_t activation_func
globus_module_deactivation_func_t deactivation_func
globus_module_atexit_func_t atexit_func
globus_module_get_pointer_func_t get_pointer_func
globus_version_t * version
globus_error_print_friendly_t friendly_error_func

Detailed Description

Module Descriptor.

Public data structure which contains function pointers to activate deactivate a module.

Field Documentation

  globus_module_activation_func_t globus_module_descriptor_s::activation_func
Module activation function

  globus_module_atexit_func_t globus_module_descriptor_s::atexit_func
Module atexit function

  globus_module_deactivation_func_t globus_module_descriptor_s::deactivation_func
Module deactivation function

  globus_error_print_friendly_t globus_module_descriptor_s::friendly_error_func
Module error message function

  globus_module_get_pointer_func_t globus_module_descriptor_s::get_pointer_func
Module get_pointer function

  char* globus_module_descriptor_s::module_name
Module name string

  globus_version_t* globus_module_descriptor_s::version
Module version

Author

Generated automatically by Doxygen for globus_common from the source code.